- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
G::Process::Id Class Reference

Process-id class. More...

`#include <gprocess.h>`

## Public Member Functions
| Id ()
| Id (std::istream &)
| Id (SignalSafe, const char *pid_file_path)
std::string | str () const
bool | operator== (const Id &) const

## Friends
class | NewProcess
class | Process

## Detailed Description

Process-id class.

Definition at line 52 of file gprocess.h.

## Constructor & Destructor Documentation

G::Process::Id::Id | ( |  | ) |

Definition at line 204 of file gprocess_unix.cpp.

G::Process::Id::Id | ( | std::istream & | stream | ) |
| explicit

Definition at line 229 of file gprocess_unix.cpp.

G::Process::Id::Id | ( | SignalSafe | ,
|  | const char * | pid_file_path
| ) |  |

Definition at line 209 of file gprocess_unix.cpp.

## Member Function Documentation

bool G::Process::Id::operator== | ( | const Id & | other | ) | const

Definition at line 243 of file gprocess_unix.cpp.

std::string G::Process::Id::str | ( |  | ) | const

Definition at line 236 of file gprocess_unix.cpp.

Referenced by G::Directory::tmp().

## Friends And Related Function Documentation

friend class NewProcess
| friend

Definition at line 60 of file gprocess.h.

friend class Process
| friend

Definition at line 61 of file gprocess.h.

The documentation for this class was generated from the following files:

- gprocess.h
- gprocess_unix.cpp